Subject: Re: [PATCH 1/3] doc: convert git-stash.adoc to synopis style

From: Jean-Noël AVILA <[email-masked]>
Date: Fri, 10 Oct 2025 19:43:17 +0200

On Friday, 10 October 2025 17:52:59 CEST Junio C Hamano wrote:
> Jean-Noël Avila <[email-masked]> writes:
> >>> diff --git a/Documentation/config/stash.adoc b/Documentation/config/
stash.adoc
> >>> index e556105a15..7fc32027f7 100644
> >>> --- a/Documentation/config/stash.adoc
> >>> +++ b/Documentation/config/stash.adoc
> >>> @@ -1,19 +1,28 @@
> >>> -stash.index::
> >>> +ifndef::git-stash[]
> >>> +:see-show: See the description of the 'show' command in linkgit:git-
stash[1].
> >> 
> >> Okay, here you use 'show' and not `show` because this conditional
> >> attribute will pass on `show` and render it as such, not as
> >> inline-verbatim “show”. Bare 'show' is indeed better than bare `show`.
> > 
> > TBH I did not spot the issue when I did this. I wasn't aware that
> > Asciidoc does not automatically handle inline formatting in attributes.
> > But it seems we can force it. This "show" keyword should definitely be
> > inline verbatim.
> > 
> > Wil try and reroll.
> 
> This is already in 'next', isn't it, though?

That's fine. I couldn't come up with a substitution scheme that would work 
correctly for both asciidoc.py and asciidoctor.

So let's just let this patch as it is and recall that attributes are not a 
panacea.